VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage Class Reference
Inheritance diagram for Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage:

## Avaliable Methods
public method | set_default_message ()
public method | get_id ()
public method | set_args ()
public method | get_args ()
public method | get_default_message ()
public method | set_id ()
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage` class Structure representing message

## Member Function Documentation

public method Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage::get_args | ( |  | ) |

Gets the value of 'args' property.

Return values

  args | - The current value of the field. nested data List#

Code:
click to view
# Number of lines of code in get_args: 4
sub get_args {
my ($self, %args) = @_;
return $self->{'args'};
}

public method Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage::get_default_message | ( |  | ) |

Gets the value of 'default_message' property.

Return values

  default_message | - The current value of the field. text in english String#

Code:
click to view
# Number of lines of code in get_default_message: 4
sub get_default_message {
my ($self, %args) = @_;
return $self->{'default_message'};
}

public method Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. id in message bundle String#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{id} = $args{'id'};
$self->{default_message} = $args{'default_message'};
$self->{args} = $args{'args'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage');
$self->set_binding_name('name' => 'com.vmware.appliance.recovery.backup.localizable_message');
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'default_message', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'args', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage::set_args | ( |  | ) |

Sets the given value for 'args' property.

Parameters

  args | - New value for the field. nested data

Code:
click to view
# Number of lines of code in set_args: 5
sub set_args {
my ($self, %args) = @_;
$self->{'args'} = $args{'args'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage::set_default_message | ( |  | ) |

Sets the given value for 'default_message' property.

Parameters

  default_message | - New value for the field. text in english

Code:
click to view
# Number of lines of code in set_default_message: 5
sub set_default_message {
my ($self, %args) = @_;
$self->{'default_message'} = $args{'default_message'};
return;
}

public method Com::Vmware::Appliance::Recovery::Backup::LocalizableMessage::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. id in message bundle

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Recovery/Backup.pm